package cn.timer.api.dto.kqmk;

import java.io.Serializable;

import cn.timer.api.bean.kqmk.KqglAssoDkjl;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq 考勤班次
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttSchedule implements Serializable{
	
	private static final long serialVersionUID = 2301555360668389960L;
	
	private Integer id;
	private Integer sort;// 1:上班；2：下班； 3：上班；4:下班；5:上班；6:下班
	private Integer nextday;//0:否；1:是
	private Long time;
	private Long starttime;
	private Long endtime;
	
	private int isleave;//是否请假
	private int isupdate;//是否跟新打卡
	private int isdk;//0:当前打卡  1：已过打卡
	private KqglAssoDkjl dajl;
}
